https://management-test.adyen.com/v1/merchants/{merchantId}/paymentMethodSettingsReturns details for all payment methods of the merchant account identified in the path. To make this request, your API credential must have the following role: * Management API—Payment methods read
The unique identifier of the merchant account.
The unique identifier of the store for which to return the payment methods.
The unique identifier of the Business Line for which to return the payment methods.
The number of items to have on a page, maximum 100. The default is 10 items on a page.
The number of the page to fetch.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://management-test.adyen.com/v1/merchants/{merchantId}/paymentMethodSettings' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://management-test.adyen.com/v1/merchants/{merchantId}/paymentMethodSettingsReturns details for all payment methods of the merchant account identified in the path. To make this request, your API credential must have the following role: * Management API—Payment methods read
The unique identifier of the merchant account.
The unique identifier of the store for which to return the payment methods.
The unique identifier of the Business Line for which to return the payment methods.
The number of items to have on a page, maximum 100. The default is 10 items on a page.
The number of the page to fetch.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://management-test.adyen.com/v1/merchants/{merchantId}/paymentMethodSettings' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}